Subject: [dispatch] Fwd: Re: [calsify] New Timestamp Draft

From: "Bron Gondwana" <[email-masked]>
Date: Sun, 24 Jan 2021 21:55:23 +1100

Hi,

A request for dispatching this work.  I suggested a call for adoption on the calsify mailing list for adoption into the CALEXT working group, but the responses made it very clear that there isn't consensus there, including a response which states that it falls outside our current charter, which means the dispatch options will be either somewhere else or if to CALEXT, will include a requirement to recharter to allow it.

Thanks,

Bron.

----- Original message -----
From: Ujjwal Sharma <[email-masked]>
To: [email-masked]
Subject: Re: [calsify] New Timestamp Draft
Date: Friday, January 22, 2021 23:19

Hi Bron, CalExt Friends!

I made a new revision of the draft, which shifts the focus to defining
the syntax/format and defers the standardization of the actual key-value
pairs to sibling organizations like IANA and Unicode Consortium.

I'd love to hear your opinions on this version, which you can find at
https://datatracker.ietf.org/doc/draft-ryzokuken-datetime-extended/,
which can be filed as issues on the GitHub repository or emailed to me
directly. In the meantime, I will address the remaining concerns/polish
issues like fixing the references section.

How "complete" does the document need to be in order to initiate the
call for adoption? If the current version works, can we start it as soon
as possible? Of course, if my understanding of "adoption" is correct,
I'd be happy to iterate on the document further after the adoption by
the WG.

Best,
Ujjwal

On 14/01/2021 8.34 am, Bron Gondwana wrote:
> Sounds great.  Let me know :)
> 
> When we do the call for adoption I'll also advertise the fact over to
> the wider IETF - probably dispatch and tzdata lists at least.
> 
> Cheers,
> 
> Bron.
> 
> 
> On Thu, Jan 14, 2021, at 13:48, Ujjwal Sharma wrote:
>> Thanks Bron!
>>
>> I'll make a few more changes, release a 01 version, ask for more
>> feedback and then let you know, hopefully by the end of this week.
>>
>> Ujjwal
>>
>> On 14/01/2021 7.03 am, Bron Gondwana wrote:
>> > I can do a call for adoption straight away if you like - the next
>> > meeting isn't for a couple of months.
>> > 
>> > Bron.
>> > 
>> > On Thu, Jan 14, 2021, at 05:24, Ujjwal Sharma wrote:
>> >> One question: given things move forward smoothly, how do I proceed?
>> >> Should I apply for this document to be adopted by the calext WG? I
>> >> suppose the fastest way to proceed is to present it at the next IETF
>> >> meeting?
>> >>
>> >>
>> >>
>> >> Ujjwal
>> >>
>> >> On 12/01/2021 4.03 am, Ujjwal Sharma wrote:
>> >> > Hi Calsify folks!
>> >> > 
>> >> > I am sorry for the long delay, I got a little sidetracked working on
>> >> > other things, but I'm happy to inform you all that I have
>> something that
>> >> > resembles a first draft for the updated timestamps RFC.
>> >> > 
>> >> > Here's where you can find it:
>> >> > 
>> >> > Datatracker:
>> >>
>> > https://datatracker.ietf.org/doc/draft-ryzokuken-datetime-extended/
>> <https://datatracker.ietf.org/doc/draft-ryzokuken-datetime-extended/>
>> >>
>> <https://datatracker.ietf.org/doc/draft-ryzokuken-datetime-extended/
>> <https://datatracker.ietf.org/doc/draft-ryzokuken-datetime-extended/>>
>> >> >
>> >>
>> GitHub: https://github.com/ryzokuken/draft-ryzokuken-datetime-extended
>> <https://github.com/ryzokuken/draft-ryzokuken-datetime-extended>
>> >> <https://github.com/ryzokuken/draft-ryzokuken-datetime-extended
>> <https://github.com/ryzokuken/draft-ryzokuken-datetime-extended>>
>> >> > 
>> >> > I would request you all to take a look at it when you can and let me
>> >> > know what you think. You can file a GitHub issue or email me
>> directly.
>> >> > 
>> >> > There's a few open discussions regarding the exact format and how the
>> >> > interaction with bodies like the Unicode consortium work, so
>> please feel
>> >> > free to send me your thoughts regarding that as well.
>> >> > 
>> >> > Also, some references/bibliography is not perfectly functional yet
>> >> > because I am still relatively new to authoring RFCs using
>> Metanorma but
>> >> > I'm actively looking into it.
>> >> > 
>> >> > Thanks and looking forward to hear from you,
>> >> > Ujjwal
>> >> > 
>> >>
>> >> -- 
>> >> Ujjwal "Ryzokuken" Sharma (he/him)
>> >>
>> >> Compilers Hacker, Node.js Core Collaborator and Speaker
>> >>
>> >> _______________________________________________
>> >> calsify mailing list
>> >> [email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>> <mailto:[email-masked]>>
>> >> https://www.ietf.org/mailman/listinfo/calsify
>> <https://www.ietf.org/mailman/listinfo/calsify>
>> >> <https://www.ietf.org/mailman/listinfo/calsify
>> <https://www.ietf.org/mailman/listinfo/calsify>>
>> >>
>> > 
>> > --
>> >   Bron Gondwana, CEO, Fastmail Pty Ltd
>> >   [email-masked] <mailto:[email-masked]>
>> > 
>> > 
>> > _______________________________________________
>> > calsify mailing list
>> > [email-masked] <mailto:[email-masked]>
>> > https://www.ietf.org/mailman/listinfo/calsify
>> <https://www.ietf.org/mailman/listinfo/calsify>
>> > 
>>
>> -- 
>> Ujjwal "Ryzokuken" Sharma (he/him)
>>
>> Compilers Hacker, Node.js Core Collaborator and Speaker
>>
>> _______________________________________________
>> calsify mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/calsify
>> <https://www.ietf.org/mailman/listinfo/calsify>
>>
> 
> --
>   Bron Gondwana, CEO, Fastmail Pty Ltd
>   [email-masked]
> 
> 
> 
> _______________________________________________
> calsify mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/calsify
> 

-- 
Ujjwal "Ryzokuken" Sharma (he/him)

Compilers Hacker, Node.js Core Collaborator and Speaker

_______________________________________________
calsify mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/calsify

--
  Bron Gondwana, CEO, Fastmail Pty Ltd
  [email-masked]